import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/member/marketPersonsBrokerageConfig/list',
    method: 'get',
    params: query
  })
}

// 新增/修改
export const saveAndEdit = (data) => {
  return request({
    url: '/member/marketPersonsBrokerageConfig/insertOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/member/marketPersonsBrokerageConfig/deleteById',
    method: 'delete',
    params: {id:id}
  })
}

// 修改状态
export const updateStatus = (data) => {
  return request({
    url: '/member/marketPersonsBrokerageConfig/insertOrUpdate',
    method: 'post',
    data: data
  })
}

export function getSelectById(id) {
  return request({
    url: '/member/marketPersonsBrokerageConfig/selectById?id=' + id,
    method: 'get'
  })
}

// 票务价格分页查询
export const seatPricePageList = (query) => {
  return request({
    url: '/merchant/merchantAuditoriumSeatPrice/pageList',
    method: 'get',
    params: query
  })
}
